<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE log4j:configuration PUBLIC "-//APACHE//DTD LOG4J 1.2//EN" "http://logging.apache.org/log4j/1.2/apidocs/org/apache/log4j/xml/doc-files/log4j.dtd">
<log4j:configuration xmlns:log4j='http://jakarta.apache.org/log4j/'>
	<appender name="stdout" class="org.apache.log4j.ConsoleAppender">
		<layout class="org.apache.log4j.PatternLayout">
 			<param name="ConversionPattern" value="%d{[dd-MM-yyyy HH:mm:ss]} %5p %c{1}:%L - %m%n"/>
		</layout>
	</appender>
	<appender name="pqmessengerlog" class="org.apache.log4j.rolling.RollingFileAppender">
    <param name="File" value="pqmessenger.log" />
    <rollingPolicy class="org.apache.log4j.rolling.TimeBasedRollingPolicy">
    	<param name="FileNamePattern" value="pqmessenger-%d{yyyyMMdd}.gz" />
    </rollingPolicy>
 		<layout class="org.apache.log4j.PatternLayout">
			<param name="ConversionPattern" value="%d{[dd-MM-yyyy HH:mm:ss]} %5p %c{1}:%L - %m%n" />
		</layout>
	</appender>
	
	<logger name="net.meddeb" additivity="false">
	    <appender-ref ref="pqmessengerlog" />
	</logger>
	
	<logger name="org.apache.activemq" additivity="false">
	    <appender-ref ref="pqmessengerlog" />
	</logger>
	
	<logger name="org.apache.openejb" additivity="false">
	    <appender-ref ref="pqmessengerlog" />
	</logger>
			
	<root>
	  <priority value="info"></priority>
	</root>
</log4j:configuration>
